.block-banner {
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    padding: var( --block-spacing) 0;
}
.block-banner .slick-initialized .slick-slide.banner{
    display: flex;
}
.block-banner.nopaddingtop{
    padding-top: 0;
}
.block-banner.nopaddingbottom{
    padding-bottom: 0;
}
.block-banner.image-size-rectangle .banner-wrapp,
.block-banner.image-size-square .banner-wrapp{
    width: var(--wrapper);
    margin: 0 auto;
}
/*
.block-banner.image-size-rectangle .banner-wrapp .parallax-column{
    min-width: 60%;
}*/
.block-banner.layout-w1 .banner-wrapp .parallax-column{
    display: none;
}
.block-banner.layout-w1 .banner-wrapp  .text-parallax-column{
    align-items: center;
    text-align: center;
}

.block-banner.layout-w3 .banner-wrapp .slide-banner {
    flex-direction: row-reverse;
}
.block-banner.image-size-full .banner-wrapp{
    width: 100vw;
}



.block-banner.image-size-rectangle .banner-wrapp .parallax-column{
    height: 440px;
    box-sizing: border-box;
}
.block-banner .parallax-column {
    position: relative;
    overflow: hidden;
    height: 440px;
    min-width: 50%;
    max-width: 50%;
}
.block-banner .parallax-image-main{
    height: 100%;
}
.block-banner .parallax-image-main img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.block-banner .parallax-image-main .parallax-image-main__inner-container{
    width: 100%;
    height: 100%;
    display: flex;
}
.block-banner.play-position-center .parallax-image-main .parallax-image-main__inner-container{
    justify-content: center;
    align-items: center;
}
.block-banner.play-position-bottomleft .parallax-image-main .parallax-image-main__inner-container{
    justify-content: flex-start;
    align-items: flex-end;
}
.block-banner.play-position-bottomright .parallax-image-main .parallax-image-main__inner-container{
    justify-content:  flex-end;
    align-items: flex-end;
}
.block-banner.play-position-topleft .parallax-image-main .parallax-image-main__inner-container{
    justify-content: flex-start;
    align-items:flex-start;
}
.block-banner.play-position-topright .parallax-image-main .parallax-image-main__inner-container{
    justify-content: flex-end;
    align-items: flex-start;
}
.block-banner .text-parallax-column {
    justify-content: space-between;
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    padding: 45px 90px;
    min-width: 50%;
}
.block-banner .text-parallax-column .buttons-columns {
    margin-block-start: 0px;
}
.block-banner.is-style-left .parallax-columns {
    flex-direction: row;
}
.block-banner.is-style-right .parallax-columns {
    flex-direction: row-reverse;
}
.block-banner .text-parallax-column .buttons-columns a {
    margin-block-start: 35px;
    margin-inline-end: 10px;
}
.block-banner h1,
.block-banner h2,
.block-banner h3,
.block-banner h4,
.block-banner h5,
.block-banner ol,
.block-banner p,
.block-banner ul {
    margin-block-end: 25px;
    color: inherit;
}
.block-banner ol,
.block-banner ul {
    margin-left: 20px;
}
.block-banner .cleverbox-button{
    display: none;
}
.block-banner .cleverbox-button.showlink1,
.block-banner .cleverbox-button.showlink2{
    display: block
}
.block-banner.image-size-square .parallax-image-main{
    max-width:  440px;
}
.block-banner.banner-border-square .parallax-image-main{
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;

}

.block-banner.banner-border-round .parallax-image-main{
    -webkit-border-radius:50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}
.block-banner.banner-border-rounded .parallax-image-main{
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    border-radius: 25px;
}

.block-banner .arrows-banner{
    display: flex;
    justify-content: flex-start;
}

.block-banner.banner-border-custom .parallax-image-main{
    overflow: hidden;
}

@media only screen and (max-width: 1600px) {
    .block-banner .text-parallax-column {
        padding: 2vw;
    }
    .block-banner .text-parallax-column .buttons-columns {
        margin-block-start: 30px;
        display: flex;
    }
    .block-banner .text-parallax-column .buttons-columns a {
        margin-block-start: 0px;
        margin-inline-end: 0;
    }
}

@media only screen and (max-width: 1200px) {
    .block-banner {
        margin-block: var(--wp--style--block-gap) !important;

    }
    .block-banner .parallax-columns,
    .block-banner.is-style-left .parallax-columns,
    .block-banner.is-style-right .parallax-columns {
        flex-direction: column;
    }
    .block-banner .parallax-column {
        height: auto;
        flex-basis: inherit !important;
        max-width: 100%;
        min-width: 100%;
    }
    .block-banner .parallax-image-main {
        background-repeat: no-repeat;
        background-size: cover;
        height: 100%;
        right: 0;
        position: relative;
        top: 0;
        width: 100%;
        z-index: 1;
        max-width: 100%;
    }
    .block-banner .text-parallax-column {
        max-width: 100%;
        padding: 0;
        box-sizing: border-box;
    }
    .block-banner .parallax-image {
        top: 0 !important;
    }
    .block-banner .slick-initialized .slick-slide.banner{
        flex-direction: column-reverse;
    }
    .block-banner .slick-initialized .slick-slide.banner .text-parallax-column{
        padding: 20px 5vw;
    }



    
}
